applyfilter(8)

NAME
applyfilter - apply filter settings to news spool

SYNOPSIS
applyfilter [-v] ... newsgroup

DESCRIPTION
Leafnode is a USENET package intended for small sites, where there are few users and little disk space, but where a large number of groups is desired.

Applyfilter is the program to apply filter settings to your newsspool, particularly after changes that were not in effect at the time the articles were downloaded with fetchnews. Applyfilter is used if you want to remove postings from your spool matching a certain filter pattern (see FILES below). If the headers of an article match any of the filtering rules, the article is being deleted from the newsgroup.

Applyfilter sets its real and effective uid to "news".

OPTIONS

-v  Be verbose.

newsgroup
    is the newsgroup you want to apply the filter to.

FILES

A file the patch of which is defined with the filterfile option of /etc/leafnode/filters contains the set of filtering rules that are applied to the newsspool. Each rule must be on a separate line. Empty lines and comments (marked by a # at the beginning of the line) are allowed.

Each rule is a regular expression. For example, the following set of rulings will delete all crosspostings to alt.flame.

^Newsgroups:.*[, ]alt.flame$
^Newsgroups:.*[, ]alt.flame,

^Newsgroups: indicates that the pattern should only be applied to the Newsgroups: header. After the header, an arbitrary number of characters may follow, ending in either a comma or a space. After that, alt.flame must be in the line, either at the end of the line (first entry) or in the middle of the line, followed by other newsgroups (second entry).

ENVIRONMENT

LN_LOCK_TIMEOUT
    This variable is parsed as an unsigned integer value and determines how many seconds applyfilter will wait when trying to obtain the lock file from another leafnode program. 0 means to wait indefinitely. This variable takes precedence over the configuration file.

AUTHOR
Written by Cornelius Krasel <krasel@wpxx02.toxi.uni-wuerzburg.de>. Copyright 1999. Updated by Matthias Andree <matthias.andree@gmx.de>. Copyright 2002 - 2004.

Leafnode was originally written by Arnt Gulbrandsen <agulbra@troll.no> and is copyright 1995-96 Troll Tech AS, Postboks 6133 Etterstad, 0602 Oslo, Norway, fax +47 22646949.

SEE ALSO
leafnode(8), fetchnews(8), texpire(8).